<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:c="http://java.sun.com/jsp/jstl/core"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form>
            <h1>#{messages['gazelle.ordermanager.LaboratoryAnalyzer']}</h1>
            <ui:decorate template="/layout/panels/_panel_title.xhtml">
                <ui:define name="panel_title">#{messages['gazelle.ordermanager.QueryForAWOS_2']}</ui:define>
                <s:div id="globalDiv">
                    <ui:include src="/configuration/initiatorFrame.xhtml">
                        <ui:param name="actorKeyword" value="#{queryForAWOSSender.sutActor.keyword}"/>
                        <ui:param name="diagramImg" value="diag/LAB-27-AM-SUT.png"/>
                        <ui:param name="simuApplication" value="#{messages['gazelle.ordermanager.OMLABANALYZER']}"/>
                        <ui:param name="simuFacility" value="#{messages['gazelle.ordermanager.IHE']}"/>
                        <ui:param name="sectionsToReRender" value="requestParameters"/>
                        <ui:param name="currentConfig" value="#{userPreferencesManagerBean.selectedSUT}"/>
                        <ui:param name="simulatorConfigurationName"
                                  value="#{messages['gazelle.ordermanager.AnalyzerSimulator']}"/>
                        <ui:param name="availableSuts"
                                  value="#{hl7v2ResponderSUTConfiguration.getAllConfigurationsForSelection('LAB-27', 'MLLP')}"/>
                    </ui:include>
                    <br/>
                    <s:div id="requestParameters">
                        <s:div rendered="#{queryForAWOSSender.hl7Messages == null}">
                            <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                                <ui:define name="panel_title">#{messages['gazelle.ordermanager.QueryParameters']}
                                </ui:define>
                                <div class="form-horizontal">
                                    <!-- include in <div class="form-horizontal"></div>-->
                                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                        <ui:param name="id" value="awosType"/>
                                        <ui:define name="label">#{messages['gazelle.ordermanager.QueryMode']}</ui:define>
                                        <h:selectOneMenu id="awosType" styleClass="form-control"
                                                         value="#{queryForAWOSSender.selectedQueryMode}"
                                                         valueChangeListener="#{queryForAWOSSender.queryModeChangeListener}">
                                            <f:selectItems value="#{queryForAWOSSender.queryModes}"/>
                                            <a4j:ajax event="change" execute="@this" render="requestParameters"/>
                                        </h:selectOneMenu>
                                    </s:decorate>
                                    <s:div id="parametersDiv"
                                           rendered="#{queryForAWOSSender.selectedQueryMode != 'WOS_ALL'}">
                                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                                                    id="qpd3Decorate"
                                                    rendered="#{queryForAWOSSender.selectedQueryMode == 'CONTAINER_ID_ONLY' or queryForAWOSSender.selectedQueryMode == 'ISOLATE'}">
                                            <ui:define name="label">#{messages['gazelle.ordermanager.ContainerIdentifier_2']}</ui:define>
                                            <ui:param name="id" value="qpd3"/>
                                            <h:inputText value="#{queryForAWOSSender.container.containerIdentifier}"
                                                         id="qpd3" tabindex="1" styleClass="form-control"
                                                         validator="#{queryForAWOSSender.validateParameter}"
                                                         requiredMessage="Usage is mandatory" required="true" size="80">
                                                <a4j:ajax event="blur" render="qpd3Decorate"/>
                                            </h:inputText>
                                        </s:decorate>
                                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                                                    id="qpd4Decorate"
                                                    rendered="#{queryForAWOSSender.selectedQueryMode == 'CARRIER_ID'}">
                                            <ui:define name="label">#{messages['gazelle.ordermanager.CarrierId']}</ui:define>
                                            <ui:param name="id" value="qpd4"/>
                                            <h:inputText value="#{queryForAWOSSender.container.carrierIdentifier}"
                                                         tabindex="1" styleClass="form-control"
                                                         validator="#{queryForAWOSSender.validateParameter}"
                                                         id="qpd4" required="true" requiredMessage="Usage is mandatory"
                                                         size="80">
                                                <a4j:ajax event="blur" render="qpd4Decorate"/>
                                            </h:inputText>
                                        </s:decorate>
                                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                                                    id="qpd5Decorate"
                                                    rendered="#{queryForAWOSSender.selectedQueryMode == 'CARRIER_ID'}">
                                            <ui:define name="label">#{messages['gazelle.ordermanager.PositionInCarrier_2']}</ui:define>
                                            <ui:param name="id" value="qpd5"/>
                                            <h:inputText id="qpd5"
                                                         value="#{queryForAWOSSender.container.positionInCarrier}"
                                                         tabindex="1" styleClass="form-control"
                                                         validator="#{queryForAWOSSender.validateParameter}"
                                                         required="true" requiredMessage="Usage is mandatory" size="80">
                                                <a4j:ajax event="blur" render="qpd5Decorate"/>
                                            </h:inputText>
                                        </s:decorate>
                                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                                                    id="qpd6Decorate"
                                                    rendered="#{queryForAWOSSender.selectedQueryMode == 'TRAY_ID'}">
                                            <ui:define name="label">#{messages['gazelle.ordermanager.TrayIdentifier']}</ui:define>
                                            <ui:param name="id" value="qpd6"/>
                                            <h:inputText id="qpd6"
                                                         value="#{queryForAWOSSender.container.trayIdentifier}"
                                                         tabindex="1" styleClass="form-control"
                                                         validator="#{queryForAWOSSender.validateParameter}"
                                                         required="true" requiredMessage="Usage is mandatory" size="80">
                                                <a4j:ajax event="blur" render="qpd6Decorate"/>
                                            </h:inputText>
                                        </s:decorate>
                                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                                                    id="qpd7Decorate"
                                                    rendered="#{queryForAWOSSender.selectedQueryMode == 'TRAY_ID'}">
                                            <ui:define name="label">#{messages['gazelle.ordermanager.PositionInTray_2']}</ui:define>
                                            <ui:param name="id" value="qpd7"/>
                                            <h:inputText id="qpd7"
                                                         value="#{queryForAWOSSender.container.positionInTray}"
                                                         tabindex="1" styleClass="form-control"
                                                         validator="#{queryForAWOSSender.validateParameter}"
                                                         required="true" requiredMessage="Usage is mandatory" size="80">
                                                <a4j:ajax event="blur" render="qpd7Decorate"/>
                                            </h:inputText>
                                            <h:message for="qpd7" styleClass="errorMessage" showSummary="true"
                                                       showDetails="false"/>
                                        </s:decorate>
                                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                                                    id="qpd8Decorate"
                                                    rendered="#{queryForAWOSSender.selectedQueryMode == 'CARRIER_ID' or queryForAWOSSender.selectedQueryMode == 'TRAY_ID'}">
                                            <ui:define name="label">#{messages['gazelle.ordermanager.Location']}</ui:define>
                                            <ui:param name="id" value="qpd8"/>
                                            <h:inputText id="qpd8" value="#{queryForAWOSSender.container.location}"
                                                         tabindex="1" styleClass="form-control"
                                                         validator="#{queryForAWOSSender.validateParameter}"
                                                         size="80">
                                                <a4j:ajax event="blur" render="qpd8Decorate"/>
                                            </h:inputText>
                                        </s:decorate>
                                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                                                    id="qpd9Decorate"
                                                    rendered="#{queryForAWOSSender.selectedQueryMode == 'ISOLATE'}">
                                            <ui:define name="label">#{messages['gazelle.ordermanager.PrimaryparentContainerIdentifier']}</ui:define>
                                            <ui:param name="id" value="qpd9"/>
                                            <h:inputText id="qpd9"
                                                         value="#{queryForAWOSSender.container.primaryContainerIdentifier}"
                                                         tabindex="1" styleClass="form-control"
                                                         validator="#{queryForAWOSSender.validateParameter}"
                                                         required="true" requiredMessage="Usage is mandatory" size="80">
                                                <a4j:ajax event="blur" render="qpd9Decorate"/>
                                            </h:inputText>
                                        </s:decorate>
                                    </s:div>
                                </div>
                                <ui:define name="panel_footer">
                                    <a4j:commandButton actionListener="#{queryForAWOSSender.sendMessage()}"
                                                       value="#{messages['gazelle.ordermanager.SendQuery']}"
                                                       render="hl7MessagesDiv,requestParameters"
                                                       styleClass="gzl-btn-blue"/>
                                </ui:define>
                            </ui:decorate>
                        </s:div>
                    </s:div>
                    <!--  response div -->
                    <s:div id="hl7MessagesDiv">
                        <s:decorate template="/layout/panels/_panel_title_footer.xhtml"
                                    rendered="#{queryForAWOSSender.hl7Messages != null}">
                            <ui:define name="panel_title">#{messages['gazelle.ordermanager.QueryReport']}</ui:define>
                            <ui:include src="/messages/message_table.xhtml">
                                <ui:param name="hl7Messages" value="#{queryForAWOSSender.hl7Messages}"/>
                            </ui:include>
                            <ui:define name="panel_footer">
                                <a4j:commandButton value="#{messages['gazelle.ordermanager.SendAnotherQuery']}"
                                                   actionListener="#{queryForAWOSSender.init()}"
                                                   styleClass="gzl-btn-blue"
                                                   render="hl7MessagesDiv,requestParameters"/>
                            </ui:define>
                        </s:decorate>
                    </s:div>
                </s:div>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>
